%define qtdir /usr/lib/qt-1.45
%define	version 0.1
%define kdename kcmclock

Name: %{kdename}
Summary: Configures the system clock.
Version: %{version}
Release: 4
Source:  %{name}-%{version}.tar.gz
Patch0: kcmclock-0.1-rh.patch
Group: Applications/System
License: GPL
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
Requires: /usr/bin/consolehelper

%description
K Desktop application to configure the system's data and time.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .rh

%build
export QTDIR=%{qtdir} kde_htmldir=%{prefix}/doc/kde/HTML
CXXFLAGS="$RPM_OPT_FLAGS -I%{prefix}/include/kde" \
	%{configure} --prefix=%{prefix} \
	--with-install-root=$RPM_BUILD_ROOT

make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

# make a consolehelper app.
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/usr/bin/kcmclock $RPM_BUILD_ROOT/usr/sbin
ln -s consolehelper $RPM_BUILD_ROOT/usr/bin/kcmclock

mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
touch $RPM_BUILD_ROOT/etc/security/console.apps/kcmclock

mkdir -p $RPM_BUILD_ROOT/etc/pam.d

cat > $RPM_BUILD_ROOT/etc/pam.d/kcmclock << EOF
#%PAM-1.0
auth       sufficient	/lib/security/pam_rootok.so
auth       required	/lib/security/pam_pwdb.so
session    optional	/lib/security/pam_xauth.so
account    required	/lib/security/pam_permit.so
EOF

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '\/etc\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}


%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{kdename}

%files -f ../file.list.%{kdename} 

%changelog
* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- adopted for powertools, made a console-app.

* Sat Aug 28 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
Inital RPM.

